cabal-version: 2.0

-- This file has been generated from package.yaml by hpack version 0.34.6.
--
-- see: https://github.com/sol/hpack

name:           db-tree
version:        0.0.1
license:        MIT
license-file:   LICENSE
build-type:     Simple

library btree
  exposed-modules:
      DB.BTree.BTree
      DB.BTree.Internal
      DB.BTree.KV
      DB.DB
      Utils
      Utils.Arr
      Utils.KV
      Utils.MVar
      Utils.Sz
  other-modules:
      Paths_db_tree
  autogen-modules:
      Paths_db_tree
  hs-source-dirs:
      lib/btree
  default-extensions:
      BangPatterns
      BlockArguments
      DeriveFunctor
      DeriveFoldable
      DeriveTraversable
      DeriveGeneric
      DerivingStrategies
      DerivingVia
      FlexibleContexts
      FlexibleInstances
      GADTs
      LambdaCase
      MultiWayIf
      MultiParamTypeClasses
      OverloadedStrings
      RankNTypes
      ScopedTypeVariables
      TypeApplications
      TypeOperators
      ViewPatterns
      TemplateHaskell
  build-depends:
      base
    , bytestring
    , hashable
    , mtl
    , optics
    , optics-extra
    , primitive
    , text
    , unordered-containers
  default-language: Haskell2010
